<?xml version="1.0" encoding="UTF-8"?>
<xsd:schema xmlns:xsd="http://www.w3.org/2001/XMLSchema"
            xmlns="http://camitk.imag.fr/cepcoreschema"
            targetNamespace="http://camitk.imag.fr/cepcoreschema"
            elementFormDefault="qualified"
>

    <xsd:include schemaLocation="ClassName.xsd"/>
    <xsd:include schemaLocation="Parameters.xsd"/>
    <xsd:include schemaLocation="Representation.xsd"/>
 
    <xsd:element name="component" type="Component"/>
    <xsd:complexType name="Component">
        <xsd:sequence>
            <xsd:element name="name"            type="xsd:string"/>
            <xsd:element name="description"     type="xsd:string"/>
            <xsd:element name="representation"  type="Representation"/>
            <xsd:element name="properties"      type="Parameters" minOccurs="0"/>
            <xsd:element name="fileSuffix"      type="xsd:string" minOccurs="0" maxOccurs="unbounded"/>
        </xsd:sequence>
    </xsd:complexType>

</xsd:schema>
